ContactCompanyTable extends DataManager uses MergeByDefaultTrait
Class ContactCompanyTable
DO NOT WRITE ANYTHING BELOW THIS
<<< ORMENTITYANNOTATION
Table of Contents
Constants
- EVENT_ON_ADD = "OnAdd"
- EVENT_ON_AFTER_ADD = "OnAfterAdd"
- EVENT_ON_AFTER_DELETE = "OnAfterDelete"
- EVENT_ON_AFTER_UPDATE = "OnAfterUpdate"
- EVENT_ON_BEFORE_ADD = "OnBeforeAdd"
- EVENT_ON_BEFORE_DELETE = "OnBeforeDelete"
- EVENT_ON_BEFORE_UPDATE = "OnBeforeUpdate"
- EVENT_ON_DELETE = "OnDelete"
- EVENT_ON_UPDATE = "OnUpdate"
Methods
- add() : AddResult
- Adds row to entity table
- addMulti() : AddResult
- Adds several rows to entity table.
- bindCompanies() : void
- Bind contact to companies.
- bindCompanyIDs() : void
- Bind contact to companies are specified by ID.
- bindContactIDs() : void
- Bind company to contacts specified by ID.
- bindContacts() : void
- Bind company to contacts.
- checkFields() : mixed
- Checks the data fields before saving to DB. Result stores in the $result object
- cleanCache() : void
- Cleans the tablet cache after data modifications.
- createCollection() : EO_ContactCompany_Collection
- createObject() : EO_ContactCompany
- cryptoEnabled() : bool
- Returns true if crypto is enabled for a field.
- delete() : DeleteResult
- Deletes row in entity table by primary key
- enableCrypto() : mixed
- Sets a flag indicating crypto support for a field.
- getBulkCompanyBindings() : array<string|int, mixed>
- Get binding map for company's collection.
- getBulkContactBindings() : array<string|int, mixed>
- Get binding map for contact's collection.
- getById() : EO_ContactCompany_Result
- Returns selection by entity's primary key
- getByPrimary() : EO_ContactCompany_Result
- Returns selection by entity's primary key and optional parameters for getList()
- getCollectionClass() : string|Collection
- Returns class of Object collection for current entity.
- getCollectionClassName() : string
- Returns class name (without namespace) of Object collection for current entity.
- getCollectionParentClass() : Collection|string
- getCompanyBindings() : array<string|int, mixed>
- Get company's bindings.
- getCompanyContactIDs() : array<string|int, mixed>
- Get contact IDs are bound to specified company.
- getConnectionName() : string
- Returns connection name for entity
- getContactBindingCount() : int
- Get contact's binding count.
- getContactBindings() : array<string|int, mixed>
- Get contacts's bindings.
- getContactCompanyIDs() : array<string|int, mixed>
- Get company IDs are bound to specified contact.
- getCount() : int
- Performs COUNT query on entity and returns the result.
- getEntity() : EO_ContactCompany_Entity
- Returns entity object
- getEntityClass() : Entity|string
- getList() : EO_ContactCompany_Result
- Executes the query and returns selection by parameters of the query. This function is an alias to the Query object functions
- getMap() : array<string|int, mixed>
- Get table fields map.
- getObjectClass() : string|EntityObject
- Returns class of Object for current entity.
- getObjectClassName() : string
- Returns class name (without namespace) of Object for current entity.
- getObjectParentClass() : EntityObject|string
- getQueryClass() : Query|string
- getRow() : array<string|int, mixed>|null
- Returns one row (or null) by parameters for getList()
- getRowById() : array<string|int, mixed>|null
- Returns one row (or null) by entity's primary key
- getTableName() : string
- Get table name.
- getTitle() : string|null
- getUfId() : mixed
- hasCompanies() : bool
- Check if contact has companies.
- isCacheable() : bool
- You can disable cache for the tablet completely.
- isUtm() : mixed
- isUts() : mixed
- onAdd() : mixed
- onAfterAdd() : mixed
- onAfterDelete() : mixed
- onAfterUpdate() : mixed
- onBeforeAdd() : mixed
- onBeforeDelete() : mixed
- onBeforeUpdate() : mixed
- onDelete() : mixed
- onUpdate() : mixed
- postInitialize() : null
- prepareFilterJoinSql() : string
- Prepare SQL join filter condition for specified entity.
- prepareFilterJoinSqlByTitle() : string
- Prepare SQL join filter condition for specified entity by entity title.
- query() : EO_ContactCompany_Query
- Creates and returns the Query object for the entity
- rebindAllCompanies() : mixed
- Unbind all companies from seed contact and bind to target contact
- rebindAllContacts() : mixed
- Unbind all contacts from seed company and bind to target company
- setCurrentDeletingObject() : void
- setDefaultScope() : Query
- unbindAllCompanies() : mixed
- Unbind specified contact from all companies.
- unbindAllContacts() : void
- Unbind specified company from all contacts.
- unbindCompanies() : void
- Unbind specified contact from specified companies.
- unbindCompanyIDs() : void
- Unbind specified contact from specified companies.
- unbindContactIDs() : void
- Unbind specified company from specified contacts.
- unbindContacts() : void
- Unbind specified company from specified contacts.
- unsetEntity() : mixed
- update() : UpdateResult
- Updates row in entity table by primary key
- updateMulti() : UpdateResult
- upsert() : void
- Execute UPSERT operation.
- wakeUpCollection() : EO_ContactCompany_Collection
- wakeUpObject() : EO_ContactCompany
Constants
EVENT_ON_ADD
public
mixed
EVENT_ON_ADD
= "OnAdd"
EVENT_ON_AFTER_ADD
public
mixed
EVENT_ON_AFTER_ADD
= "OnAfterAdd"
EVENT_ON_AFTER_DELETE
public
mixed
EVENT_ON_AFTER_DELETE
= "OnAfterDelete"
EVENT_ON_AFTER_UPDATE
public
mixed
EVENT_ON_AFTER_UPDATE
= "OnAfterUpdate"
EVENT_ON_BEFORE_ADD
public
mixed
EVENT_ON_BEFORE_ADD
= "OnBeforeAdd"
EVENT_ON_BEFORE_DELETE
public
mixed
EVENT_ON_BEFORE_DELETE
= "OnBeforeDelete"
EVENT_ON_BEFORE_UPDATE
public
mixed
EVENT_ON_BEFORE_UPDATE
= "OnBeforeUpdate"
EVENT_ON_DELETE
public
mixed
EVENT_ON_DELETE
= "OnDelete"
EVENT_ON_UPDATE
public
mixed
EVENT_ON_UPDATE
= "OnUpdate"
Methods
add()
Adds row to entity table
public
static add(array<string|int, mixed> $data) : AddResult
Parameters
- $data : array<string|int, mixed>
-
An array with fields like array( "fields" => array( "FIELD1" => "value1", "FIELD2" => "value2", ), "auth_context" => \Bitrix\Main\Authentication\Context object ) or just a plain array of fields.
This method uses the default strategy defined in the class.
Tags
Return values
AddResult —Contains ID of inserted row
addMulti()
Adds several rows to entity table.
public
static addMulti(mixed $rows[, bool $ignoreEvents = false ]) : AddResult
This method uses the default strategy defined in the class.
Parameters
- $rows : mixed
- $ignoreEvents : bool = false
Tags
Return values
AddResultbindCompanies()
Bind contact to companies.
public
static bindCompanies(int $contactID, array<string|int, mixed> $bindings) : void
Parameters
- $contactID : int
-
Contact ID.
- $bindings : array<string|int, mixed>
-
Array of company bindings.
Tags
bindCompanyIDs()
Bind contact to companies are specified by ID.
public
static bindCompanyIDs(int $contactID, array<string|int, mixed> $companyIDs) : void
Parameters
- $contactID : int
-
Contact ID.
- $companyIDs : array<string|int, mixed>
-
Array of company IDs.
bindContactIDs()
Bind company to contacts specified by ID.
public
static bindContactIDs(int $companyID, array<string|int, mixed> $contactIDs) : void
Parameters
- $companyID : int
-
Company ID.
- $contactIDs : array<string|int, mixed>
-
Array of contact IDs.
bindContacts()
Bind company to contacts.
public
static bindContacts(int $companyID, array<string|int, mixed> $bindings) : void
Parameters
- $companyID : int
-
Company ID.
- $bindings : array<string|int, mixed>
-
Array of company bindings.
Tags
checkFields()
Checks the data fields before saving to DB. Result stores in the $result object
public
static checkFields(Result $result, mixed $primary, array<string|int, mixed> $data) : mixed
Parameters
- $result : Result
- $primary : mixed
- $data : array<string|int, mixed>
Tags
cleanCache()
Cleans the tablet cache after data modifications.
public
static cleanCache() : void
createCollection()
public
static createCollection() : EO_ContactCompany_Collection
Return values
EO_ContactCompany_CollectioncreateObject()
public
static createObject([mixed $setDefaultValues = = 'true' ]) : EO_ContactCompany
Parameters
- $setDefaultValues : mixed = = 'true'
Return values
EO_ContactCompanycryptoEnabled()
Returns true if crypto is enabled for a field.
public
static cryptoEnabled(string $field[, string $table = null ]) : bool
Parameters
- $field : string
- $table : string = null
Return values
booldelete()
Deletes row in entity table by primary key
public
static delete(mixed $primary) : DeleteResult
Parameters
- $primary : mixed
Tags
Return values
DeleteResultenableCrypto()
Sets a flag indicating crypto support for a field.
public
static enableCrypto(string $field[, string $table = null ][, bool $mode = true ]) : mixed
Parameters
- $field : string
- $table : string = null
- $mode : bool = true
getBulkCompanyBindings()
Get binding map for company's collection.
public
static getBulkCompanyBindings(array<string|int, mixed> $companyIDs) : array<string|int, mixed>
Parameters
- $companyIDs : array<string|int, mixed>
-
Array of Company IDs.
Tags
Return values
array<string|int, mixed>getBulkContactBindings()
Get binding map for contact's collection.
public
static getBulkContactBindings(array<string|int, mixed> $contactIDs) : array<string|int, mixed>
Parameters
- $contactIDs : array<string|int, mixed>
-
Array of Contact IDs.
Tags
Return values
array<string|int, mixed>getById()
Returns selection by entity's primary key
public
static getById(mixed $id) : EO_ContactCompany_Result
Parameters
- $id : mixed
-
Primary key of the entity
Return values
EO_ContactCompany_ResultgetByPrimary()
Returns selection by entity's primary key and optional parameters for getList()
public
static getByPrimary(mixed $primary[, array<string|int, mixed> $parameters = = '[]' ]) : EO_ContactCompany_Result
Parameters
- $primary : mixed
-
Primary key of the entity
- $parameters : array<string|int, mixed> = = '[]'
-
Additional parameters for getList()
Return values
EO_ContactCompany_ResultgetCollectionClass()
Returns class of Object collection for current entity.
public
static getCollectionClass() : string|Collection
Return values
string|CollectiongetCollectionClassName()
Returns class name (without namespace) of Object collection for current entity.
public
final static getCollectionClassName() : string
Return values
stringgetCollectionParentClass()
public
static getCollectionParentClass() : Collection|string
Return values
Collection|stringgetCompanyBindings()
Get company's bindings.
public
static getCompanyBindings(int $companyID) : array<string|int, mixed>
Parameters
- $companyID : int
-
Company ID.
Tags
Return values
array<string|int, mixed>getCompanyContactIDs()
Get contact IDs are bound to specified company.
public
static getCompanyContactIDs(int $companyID) : array<string|int, mixed>
Parameters
- $companyID : int
-
Company ID.
Tags
Return values
array<string|int, mixed>getConnectionName()
Returns connection name for entity
public
static getConnectionName() : string
Return values
stringgetContactBindingCount()
Get contact's binding count.
public
static getContactBindingCount(int $contactID) : int
Parameters
- $contactID : int
-
Contact ID.
Tags
Return values
intgetContactBindings()
Get contacts's bindings.
public
static getContactBindings(int $contactID) : array<string|int, mixed>
Parameters
- $contactID : int
-
Contact ID.
Tags
Return values
array<string|int, mixed>getContactCompanyIDs()
Get company IDs are bound to specified contact.
public
static getContactCompanyIDs(int $contactID) : array<string|int, mixed>
Parameters
- $contactID : int
-
Contact ID.
Tags
Return values
array<string|int, mixed>getCount()
Performs COUNT query on entity and returns the result.
public
static getCount([array<string|int, mixed>|ConditionTree $filter = array() ][, array<string|int, mixed> $cache = array() ]) : int
Parameters
- $filter : array<string|int, mixed>|ConditionTree = array()
- $cache : array<string|int, mixed> = array()
-
An array of cache options "ttl" => integer indicating cache TTL
Tags
Return values
intgetEntity()
Returns entity object
public
static getEntity() : EO_ContactCompany_Entity
Return values
EO_ContactCompany_EntitygetEntityClass()
public
static getEntityClass() : Entity|string
Return values
Entity|stringgetList()
Executes the query and returns selection by parameters of the query. This function is an alias to the Query object functions
public
static getList([array<string|int, mixed> $parameters = = '[]' ]) : EO_ContactCompany_Result
Parameters
- $parameters : array<string|int, mixed> = = '[]'
-
An array of query parameters, available keys are:
"select" => array of fields in the SELECT part of the query, aliases are possible in the form of "alias"=>"field";
"filter" => array of filters in the WHERE/HAVING part of the query in the form of "(condition)field"=>"value"; also could be an instance of Filter;
"group" => array of fields in the GROUP BY part of the query;
"order" => array of fields in the ORDER BY part of the query in the form of "field"=>"asc|desc";
"limit" => integer indicating maximum number of rows in the selection (like LIMIT n in MySql);
"offset" => integer indicating first row number in the selection (like LIMIT n, 100 in MySql);
"runtime" => array of entity fields created dynamically;
"cache => array of cache options:
"ttl" => integer indicating cache TTL;
"cache_joins" => boolean enabling to cache joins, false by default.
Return values
EO_ContactCompany_ResultgetMap()
Get table fields map.
public
static getMap() : array<string|int, mixed>
Return values
array<string|int, mixed>getObjectClass()
Returns class of Object for current entity.
public
static getObjectClass() : string|EntityObject
Return values
string|EntityObjectgetObjectClassName()
Returns class name (without namespace) of Object for current entity.
public
final static getObjectClassName() : string
Return values
stringgetObjectParentClass()
public
static getObjectParentClass() : EntityObject|string
Return values
EntityObject|stringgetQueryClass()
public
static getQueryClass() : Query|string
Return values
Query|stringgetRow()
Returns one row (or null) by parameters for getList()
public
static getRow(array<string|int, mixed> $parameters) : array<string|int, mixed>|null
Parameters
- $parameters : array<string|int, mixed>
-
Primary key of the entity
Tags
Return values
array<string|int, mixed>|nullgetRowById()
Returns one row (or null) by entity's primary key
public
static getRowById(mixed $id[, array<string|int, mixed> $parameters = [] ]) : array<string|int, mixed>|null
Parameters
- $id : mixed
-
Primary key of the entity
- $parameters : array<string|int, mixed> = []
-
Additional parameters for getList()
Tags
Return values
array<string|int, mixed>|nullgetTableName()
Get table name.
public
static getTableName() : string
Return values
stringgetTitle()
public
static getTitle() : string|null
Return values
string|nullgetUfId()
public
static getUfId() : mixed
hasCompanies()
Check if contact has companies.
public
static hasCompanies(int $contactID) : bool
Parameters
- $contactID : int
-
Contact ID.
Tags
Return values
boolisCacheable()
You can disable cache for the tablet completely.
public
static isCacheable() : bool
Return values
boolisUtm()
public
static isUtm() : mixed
isUts()
public
static isUts() : mixed
onAdd()
public
static onAdd(Event $event) : mixed
Parameters
- $event : Event
onAfterAdd()
public
static onAfterAdd(Event $event) : mixed
Parameters
- $event : Event
onAfterDelete()
public
static onAfterDelete(Event $event) : mixed
Parameters
- $event : Event
onAfterUpdate()
public
static onAfterUpdate(Event $event) : mixed
Parameters
- $event : Event
onBeforeAdd()
public
static onBeforeAdd(Event $event) : mixed
Parameters
- $event : Event
onBeforeDelete()
public
static onBeforeDelete(Event $event) : mixed
Parameters
- $event : Event
onBeforeUpdate()
public
static onBeforeUpdate(Event $event) : mixed
Parameters
- $event : Event
onDelete()
public
static onDelete(Event $event) : mixed
Parameters
- $event : Event
onUpdate()
public
static onUpdate(Event $event) : mixed
Parameters
- $event : Event
postInitialize()
public
static postInitialize(Entity $entity) : null
Parameters
- $entity : Entity
Return values
nullprepareFilterJoinSql()
Prepare SQL join filter condition for specified entity.
public
static prepareFilterJoinSql(int $entityTypeID, int $entityID, string $tableAlias) : string
Parameters
- $entityTypeID : int
-
Entity type ID for filter.
- $entityID : int
-
Entity ID for filter.
- $tableAlias : string
-
Alias of primary table.
Tags
Return values
stringprepareFilterJoinSqlByTitle()
Prepare SQL join filter condition for specified entity by entity title.
public
static prepareFilterJoinSqlByTitle(int $entityTypeID, string $entityTitle, string $tableAlias) : string
Parameters
- $entityTypeID : int
-
Entity type ID for filter.
- $entityTitle : string
-
Entity Title for filter.
- $tableAlias : string
-
Alias of primary table.
Tags
Return values
stringquery()
Creates and returns the Query object for the entity
public
static query() : EO_ContactCompany_Query
Return values
EO_ContactCompany_QueryrebindAllCompanies()
Unbind all companies from seed contact and bind to target contact
public
static rebindAllCompanies(int $seedContactID, int $targContactID) : mixed
Parameters
- $seedContactID : int
-
Seed contact ID.
- $targContactID : int
-
Target contact ID.
Tags
rebindAllContacts()
Unbind all contacts from seed company and bind to target company
public
static rebindAllContacts(int $seedCompanyID, int $targCompanyID) : mixed
Parameters
- $seedCompanyID : int
-
Seed company ID.
- $targCompanyID : int
-
Target company ID.
Tags
setCurrentDeletingObject()
public
static setCurrentDeletingObject(EntityObject $object) : void
Parameters
- $object : EntityObject
setDefaultScope()
public
static setDefaultScope(Query $query) : Query
Parameters
- $query : Query
Return values
QueryunbindAllCompanies()
Unbind specified contact from all companies.
public
static unbindAllCompanies(int $contactID) : mixed
Parameters
- $contactID : int
-
Contact ID.
Tags
unbindAllContacts()
Unbind specified company from all contacts.
public
static unbindAllContacts(int $companyID) : void
Parameters
- $companyID : int
-
Company ID.
Tags
unbindCompanies()
Unbind specified contact from specified companies.
public
static unbindCompanies(int $contactID, array<string|int, mixed> $bindings) : void
Parameters
- $contactID : int
-
Contact ID.
- $bindings : array<string|int, mixed>
-
Array of bindings.
Tags
unbindCompanyIDs()
Unbind specified contact from specified companies.
public
static unbindCompanyIDs(int $contactID, array<string|int, mixed> $companyIDs) : void
Parameters
- $contactID : int
-
Contact ID.
- $companyIDs : array<string|int, mixed>
-
Array of company IDs.
Tags
unbindContactIDs()
Unbind specified company from specified contacts.
public
static unbindContactIDs(int $companyID, array<string|int, mixed> $contactIDs) : void
Parameters
- $companyID : int
-
Company ID.
- $contactIDs : array<string|int, mixed>
-
Array of contact IDs.
Tags
unbindContacts()
Unbind specified company from specified contacts.
public
static unbindContacts(int $companyID, array<string|int, mixed> $bindings) : void
Parameters
- $companyID : int
-
Company ID.
- $bindings : array<string|int, mixed>
-
Array of bindings.
Tags
unsetEntity()
public
static unsetEntity(mixed $class) : mixed
Parameters
- $class : mixed
update()
Updates row in entity table by primary key
public
static update(mixed $primary, array<string|int, mixed> $data) : UpdateResult
Parameters
- $primary : mixed
- $data : array<string|int, mixed>
-
An array with fields like array( "fields" => array( "FIELD1" => "value1", "FIELD2" => "value2", ), "auth_context" => \Bitrix\Main\Authentication\Context object ) or just a plain array of fields.
Tags
Return values
UpdateResultupdateMulti()
public
static updateMulti(array<string|int, mixed> $primaries, array<string|int, mixed> $data[, bool $ignoreEvents = false ]) : UpdateResult
Parameters
- $primaries : array<string|int, mixed>
- $data : array<string|int, mixed>
- $ignoreEvents : bool = false
Tags
Return values
UpdateResultupsert()
Execute UPSERT operation.
public
static upsert(array<string|int, mixed> $data) : void
Parameters
- $data : array<string|int, mixed>
-
Field data.
wakeUpCollection()
public
static wakeUpCollection(mixed $rows) : EO_ContactCompany_Collection
Parameters
- $rows : mixed
Return values
EO_ContactCompany_CollectionwakeUpObject()
public
static wakeUpObject(mixed $row) : EO_ContactCompany
Parameters
- $row : mixed